Bug 73204 - preferred applications mechanism (was: setting extras->preferred apps->terminal to xterm doesn't change terminal launched by redhat->system tools->Terminal)
preferred applications mechanism (was: setting extras->preferred apps->termin...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: control-center (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-31 15:41 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-31 15:41:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
I expected that if I changed my default terminal program to xterm, that the
"Terminal" entry in the system tools would launch xterm instead of the gnome
terminal.  In fact, I have not yet figured out what changes when I change my
preferred term to xterm, if anything changes at all.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
n/a

Expected Results:  Setting default term to xterm should make "Terminal" menu
entry launch an xterm.

Additional info:
Comment 1 Havoc Pennington 2002-12-19 18:10:39 EST
What it changes is the terminal used when launching a menu item that runs 
something in a terminal. e.g. we used to have menu items for say "mutt"

of course now we have a policy of "no menu items that launch terminal apps" 
so it's a bit pointless.

We need a plan for "preferred applications" that does what you expected 
and works with both GNOME and KDE. One for xdg-list@freedesktop.org
to discuss.
Comment 2 Dwayne Bailey 2005-03-07 05:43:57 EST
This behaviour is still present in FC3.  

It works correctly for terminal launched applications that I added manualy to my
task bar.  

It still launched Gnome Terminal for the System Tools -> Terminal entry

It does mean that people have to work around to get the behaviour that they
expect.  I end up creating my own custom panel icon.
Comment 3 Bill Nottingham 2006-08-07 13:26:54 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 10:33:31 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.